#' Sample from the Ising model
#'
#' @param nr number of samples
#' @param params Ising model parameters (numeric vector of size `p (p + 1) / 2`
#'  for `p` dimensional random binary vectors)
#' @param warmup Monte-Carlo chain length before retreaving a sample
#'
#' @export
ising_sample <- function(nr, params, warmup = 15L) {
    .Call("C_ising_sample", nr, params, warmup, PACKAGE = "tensorPredictors")
}
