#ifndef INCLUDE_GUARD_MERGE_MATMUL_H
#define INCLUDE_GUARD_MERGE_MATMUL_H

#include "R_api.h"

/**
 * Merge matrix matrix multiplication over 3rd axis of 3D arrays
 * 
 * @attention Assumes all parameters to be correct!
 */
void merge_matmul(
    /*    dims */   const int nrowA, const int ncolA, const int nslices,
                    const int nrowB, const int ncolB,
    /*  scalar */   const double alpha,
    /*  3D array */ const double* A, const double* B,
    /*  scalar */   const double beta,
    /*  3D array */ double* C
);

#endif /* INCLUDE_GUARD_MERGE_MATMUL_H */
